CVE-2019-9210

Priority
Description
In AdvanceCOMP 2.1, png_compress in pngex.cc in advpng has an integer
overflow upon encountering an invalid PNG size, which results in an
attempted memcpy to write into a buffer that is too small. (There is also a
heap-based buffer over-read.)
Assigned-to
leosilva
Notes
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was released [1.18-1ubuntu0.2])
Ubuntu 16.04 LTS (Xenial Xerus):released (1.20-1ubuntu0.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (2.1-1ubuntu0.18.04.1)
Patches:
Upstream:https://github.com/amadvance/advancecomp/commit/fcf71a89265c78fc26243574dda3a872574a5c02
More Information

Updated: 2020-07-28 20:07:55 UTC (commit d26b6ca9f5b3adb89bb036ce73ae7dab894935ec)